JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScopedAutoReleasePool Class Reference
juce_core » memory

A handy C++ wrapper that creates and deletes an NSAutoreleasePool object using RAII. More...

`#include <juce_Memory.h>`

## Public Member Functions
| ScopedAutoReleasePool ()
| ~ScopedAutoReleasePool ()

## Detailed Description

A handy C++ wrapper that creates and deletes an NSAutoreleasePool object using RAII.

You should use the JUCE_AUTORELEASEPOOL macro to create a local auto-release pool on the stack.

## Constructor & Destructor Documentation

## ◆ ScopedAutoReleasePool()

ScopedAutoReleasePool::ScopedAutoReleasePool | ( |  | ) |

## ◆ ~ScopedAutoReleasePool()

ScopedAutoReleasePool::~ScopedAutoReleasePool | ( |  | ) |

The documentation for this class was generated from the following file:

- juce_Memory.h